Name:		minitunes
Version:	1.0
Release:	1%{?dist}
Summary:	A better music player

Group:		Applications/Multimedia
# Minitunes is GPL. The reason why a copy of the LGPL is included
# is that some files (some Qt utility classes) are LGPL.
License:	GPLv3+ and LGPLv2+
URL:		http://flavio.tordini.org/minitunes
Source0:	http://flavio.tordini.org/files/%{name}/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	qt-devel taglib-devel phonon-devel gcc-c++
Requires:	hicolor-icon-theme

%description
Minitunes is just another music player, only better.

Minitunes unclutters your music listening experience with a clean and innovative
interface.

Features:

* Look them in the face. Browse your collection by artists pictures and album
covers.
* Powerful multimedia engine. Minitunes takes advantage of Quicktime on the Mac,
GStreamer or Xine on Linux.
* Browse folders and files. Minitunes lets you browse your music the way you
organized it.
* Playlists made simple. Minitunes has just a single playlist. It's always there
on the right.

%prep
%setup -q -n %{name}

# Fix executable bits for debuginfo package
chmod 644 src/*.h
chmod 644 src/*.cpp

%build
%{_qt4_qmake} PREFIX=%{_prefix}
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install INSTALL_ROOT=%{buildroot}

# There is a bug in find-lang.sh (see BZ #729336)
# heavily borrowed from /usr/lib/rpm/find-lang.sh
find %{buildroot} -type f -o -type l|sort|sed '
s:'"%{buildroot}"'::
s:\(.*/locale/\)\([^/_]\+\)\(.*\.qm$\):%lang(\2) \1\2\3:
s:^\([^%].*\)::
/^$/d' > %{name}.lang

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc CHANGES COPYING INSTALL LICENSE.LGPL TODO
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/icons/hicolor/512x512/
# don't list the locales, just the folders that contain them
%dir %{_datadir}/%{name}/
%dir %{_datadir}/%{name}/locale

%changelog
* Wed Aug 17 2011 Germán A. Racca <skytux@fedoraproject.org> 1.0-1
- Updated to new version
- Added gcc-c++ as BR
- Using a workaround to include locales (see BZ #729336)

* Fri Jul 30 2010 Germán A. Racca <gracca@gmail.com> 0.1.1-3
- Added comment above license tag

* Thu Jul 29 2010 Germán A. Racca <gracca@gmail.com> 0.1.1-2
- Added cleaning of buildroot to %%install
- Removed unnecessary spaces from %%description

* Fri Jul 16 2010 German A. Racca <gracca@gmail.com> 0.1.1-1
- Initial release of RPM package

